Loading...
Searching...
No Matches
XrdOucCacheIOCB Class Referenceabstract

`#include <XrdOucCache.hh>`

Inheritance diagram for XrdOucCacheIOCB:
Collaboration diagram for XrdOucCacheIOCB:

## Public Member Functions

| XrdOucCacheIOCB ()
virtual | ~XrdOucCacheIOCB ()
virtual void | Done (int result)=0

## Detailed Description

The XrdOucCacheIOCB defines a callback object that must be used to handle asynchronous I/O operations.

Definition at line 52 of file XrdOucCache.hh.

## Constructor & Destructor Documentation

## XrdOucCacheIOCB()

XrdOucCacheIOCB::XrdOucCacheIOCB | ( |  | ) |

inline

Definition at line 66 of file XrdOucCache.hh.

{}

Referenced by XrdPfc::ReadReqRH::ReadReqRH().

Here is the caller graph for this function:

## ~XrdOucCacheIOCB()

virtual XrdOucCacheIOCB::~XrdOucCacheIOCB | ( |  | ) |

inline virtual

Definition at line 67 of file XrdOucCache.hh.

{}

## Member Function Documentation

## Done()

virtual void XrdOucCacheIOCB::Done | ( | int | result | ) |

pure virtual

Handle result from a previous async operation.

Parameters

  result | is result from a previous operation. Successful results are always values >= 0 while errors are negative values and are always '-errno' indicate the reason for the error.

Implemented in XrdPfc::BlockResponseHandler, XrdPfc::DirectResponseHandler, and XrdPfc::IO::ReadReqRHCond.

Referenced by XrdOucCacheIO::pgRead(), XrdOucCacheIO::pgWrite(), XrdOucCacheIO::Read(), XrdPosixPrepIO::Read(), XrdOucCacheIO::ReadV(), XrdPfc::IOFile::ReadV(), XrdPosixPrepIO::ReadV(), XrdOucCacheIO::Sync(), XrdPosixPrepIO::Sync(), XrdOucCacheIO::Trunc(), XrdOucCacheIO::Write(), XrdPosixPrepIO::Write(), and XrdOucCacheIO::WriteV().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- XrdOucCache.hh